init:
    # Position the navigation on the right side of the screen.
    $ style.gallery_nav_frame.xpos = 1024 - 10
    $ style.gallery_nav_frame.xanchor = 1.0
    $ style.gallery_nav_frame.ypos = 12

    # Add the gallery to the main menu.
    $ config.main_menu.insert(2, ('Gallery', "gallery", "True")) 
    
# The entry point to the gallery code.
label gallery:  
    python hide:

        # Construct a new gallery object.
        g = Gallery()

        # The image used for locked buttons.
        g.locked_button = "th/gallery_locked.png"

        # The background of a locked image.
        g.locked_background = "background_00.png"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "th/gallery_hover.png"
        g.idle_border = "th/gallery_idle.png"

        # An image used as the background of the various gallery pages.
        g.background = "ui/bg_gm.jpg"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # The upper left corner of the gird is at xpos 10, ypos 20.
        # They expect button images to be 155x112 in size.
        
        g.grid_layout((3, 4), (10, 12), (160, 124))
        
        # Note; when you're dealing with a Transparent PNG, make
        # sure to add a Background to image being unlocked!
        # Background image First, then image.

        # -------------- Sets
        g.page("The Tattoo Parlor")
        
        # These show images, if they have been unlocked. 
        # The image must be defined using an image statement.
        
        g.button("th/parlor01_th.jpg") 
        g.unlock_image("bg_parlor01")
        g.display("c_parlor01")
        
        g.unlock_image("door01")
        g.display("door02")
        g.unlock_image("door03")
        
        g.button("th/parlor02_th.jpg") 
        g.unlock_image("bg_parlor02")
        g.display("c_parlor02")
        
        g.button("th/parlor03_th.jpg") 
        g.unlock_image("bg_parlor03")
        g.display("c_parlor03")
        
        g.button("th/parlor04_th.jpg") 
        g.unlock_image("bg_parlor04")
        g.display("c_parlor04")
        
        g.button("th/parlor05_th.jpg") 
        g.unlock_image("bg_parlor05")
        g.display("c_parlor05")
        
        g.button("th/parlor06_th.jpg") 
        g.unlock_image("bg_parlor06")
        g.display("c_parlor06")
        
        g.button("th/locker_th.jpg") 
        g.unlock_image("locker_cl")
        g.unlock_image("locker")
        g.unlock_image("c_locker")
        
        
        # -------------- Characters ----------------
        g.page("Angel & the Alchemist")
        
        # ------------ Alchemist --------------
        g.button("th/Alch01_th.png") 
        g.unlock_image("bg_parlor01", "alch01")
        
        g.button("th/Alch02_th.png") 
        g.unlock_image("bg_parlor01", "alch02")
        
        # -------------- Angel ---------------
        g.button("th/angel01_th.png") 
        g.unlock_image("door01", "angel01")
        g.unlock_image("bg_parlor01", "angel02")
        
        g.button("th/angel03_th.png") 
        g.unlock_image("bg_parlor05", "angel03")
        g.unlock_image("bg_parlor05", "angel04")
        
        g.button("th/angelx_th.png") 
        g.unlock_image("bg_parlor01", "angelx")
        
        g.button("th/angel_d_th.png") 
        g.unlock_image("angel_d")
        
        # -------------- Grimoire ----------------
        g.page("Grimoire")    
        
        g.button("th/grim_th.png") 
        g.unlock_image("bg_main", "book") 
        g.unlock_image("g1") 
        g.unlock_image("g2")
        g.unlock_image("g3")
        g.unlock_image("g4")

        
        # -------------- Erotica ----------------
        g.page("Eros")    
        
        g.button("th/angel05_th.png") 
        g.unlock_image("bg_main", "angel05") 
        
        g.button("th/angel06_th.png") 
        g.unlock_image("bg_main", "angel06") 
        
        g.button("th/tattoo00_th.png") 
        g.unlock_image("bg_main", "tattoo00") 
        g.display("tattoo00c")
        
        g.unlock_image("tattoo01")
        g.unlock_image("tattoo02")
        g.unlock_image("tattoo03")
        
        g.button("th/tattoo05_th.png") 
        g.unlock_image("bg_main", "climax") 
        
        g.button("th/angel07_th.png") 
        g.unlock_image("bg_main", "angel07") 
        
        # g.display("tattoo01")
        # g.allprior()
        
        
        
        # A displayable...
        # g.display("parlor01.jpg")
        # ... if all prior images have been shown.
        # g.allprior()

        
        

        # Now, show the gallery.
        g.show()

    call screen bonusmenu
    
    return

